Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAdsl.h File Reference Header file for the ADSL Driver. More... Go to the source code of this file.
## Typedefs
typedef void(* | IxAdslStateChangeCallback )(UINT32 lineNum, IxAdslLineState lineState)
| Callback function to indicate of the changes on the line state.
## Enumerations
enum | IxAdslStatus { IX_ADSL_STATUS_SUCCESS, IX_ADSL_STATUS_FAIL, IX_ADSL_STATUS_UNSUPPORTED_MODE, IX_ADSL_STATUS_ALREADY_DOWN }
| These status will be used by the APIs to return to the client. More...
enum | IxAdslLineState { IX_ADSL_LINE_STATE_UP_DUAL_LATENCY, IX_ADSL_LINE_STATE_WAIT_FOR_ACTIVATING, IX_ADSL_LINE_STATE_ACTIVATING, IX_ADSL_LINE_STATE_DOWN, IX_ADSL_LINE_STATE_UP_FASTCHANNEL, IX_ADSL_LINE_STATE_UP_INTERLEAVECHANNEL, IX_ADSL_LINE_STATE_INVALID }
| These status will be used to indicate the line state. More...
enum | IxAdslLineType { IX_ADSL_AUTOSELECT, IX_ADSL_GLITE, IX_ADSL_DMT, IX_ADSL_ANSI, IX_ADSL_LOOPBACK, IX_ADSL_INVALID_MODE }
| Used to indicate the type of ADSL line type used. More...
enum | IxAdslPhyType { IX_ADSL_PHY_CPE, IX_ADSL_PHY_INVALID }
| Used to indicate the ADSL physical type - CPE. More...
## Functions
PUBLIC IxAdslStatus | ixAdslLineOpen (UINT32 lineNum, IxAdslLineType lineType, IxAdslPhyType phyType)
| Open the given ADSL line in the specified mode and type.
PUBLIC IxAdslStatus | ixAdslLineClose (UINT32 lineNum)
| Closes a previously opened ADSL line.
PUBLIC IxAdslStatus | ixAdslLineStateChangeCallbackRegister (UINT32 lineNum, IxAdslStateChangeCallback lineChangeCallbackFn)
| This is a notification registration procedure that gets called if the line state of the given ADSL line changes. The maximum callbacks that can be registered is defined as IX_ADSL_SIZEOF_CALLBACK_LIST (The default value is 10).
PUBLIC IxAdslLineState | ixAdslLineStateGet (UINT32 lineNum)
| Returns the current state of the given ADSL line.
PUBLIC UINT32 | ixAdslLineRateUpstreamGet (UINT32 lineNum)
| Return the current upstream line speed of the given ADSL line.
PUBLIC UINT32 | ixAdslLineRateDownstreamGet (UINT32 lineNum)
| Return the current downstream line speed of the given ADSL line.
PUBLIC IxAdslStatus | ixAdslDyingGaspEnable (UINT32 lineNum)
| Enables the function that informs ATU-C when condition that leads to shutdown of the given Adsl line has been detected.
PUBLIC IxAdslStatus | ixAdslVendorCodeSet (UINT32 lineNum, UINT8 ixAdslItuVendoridCountrycode, UINT8 ixAdslItuVendoridVendorcode1, UINT8 ixAdslItuVendoridVendorcode2, UINT8 ixAdslItuVendoridVendorcode3, UINT8 ixAdslItuVendoridVendorcode4, UINT8 ixAdslItuVendoridVendorspecific1, UINT8 ixAdslItuVendoridVendorspecific2)
| Set the vendor specific bytes in the given ADSL line.
PUBLIC void | ixAdslShow (UINT32 lineNum)
| This function will show the current statistics associated with the given ADSL Line.
PUBLIC void | ixAdslMemoryUnmap (void)
| This function will unmap the dynamically allocated addresses.
## Detailed Description Header file for the ADSL Driver. Version: Revision 1.18 -- Intel Copyright Notice -- Copyright 1999-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxAdsl.h.
Automatically generated from sources. © Intel Corp. 2003